using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using System.Data.OleDb;
namespace BLL
{
   public class BLLjob
    {

        public static readonly DAL.DALjob getJob = new DAL.DALjob();
        /// <summary>
        /// 职位
        /// </summary>
        #region 添加
        public static  void Insert(MODEL.Job job)
        {
            getJob.Insert(job);
        }
        #endregion

        #region 更新
        public static void Update(MODEL.Job job)
        {
            getJob.Update(job);
        }
        #endregion

        #region 删除
        public static  void Delete(MODEL.Job job)
        {
            getJob.Delete(job);
        }
        #endregion


       public static DataSet getJobName(int id)
       {
           return getJob.getJobName(id);
       }

       public static MODEL.Job getJobModel(int id)
       {
           return getJob.getDeptModel(id);
       }

       public static bool checkJob(string name)
       {
        return getJob.checkJob(name);
       }
    }
}
